## mistral 18.0.1

=== requirements.txt ===
alembic>=0.9.6 # MIT
croniter>=0.3.4 # MIT License
cachetools>=2.0.0 # MIT License
dogpile.cache>=0.6.2 # BSD
eventlet>=0.26.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
jsonschema>=3.2.0 # MIT
keystonemiddleware>=4.18.0 # Apache-2.0
kombu!=4.0.2,>=4.6.1 # BSD
mistral-lib>=2.3.0 # Apache-2.0
networkx>=2.3 # BSD
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=4.40.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.utils>=4.0.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization>=2.21.1 # Apache-2.0
oslo.service>=2.1.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.4.1 # LGPLv2.1+
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan>=1.2.1 # BSD
PyJWT>=1.5 # MIT
PyYAML>=5.1 # MIT
requests>=2.18.0 # Apache-2.0
tenacity>=5.0.1 # Apache-2.0
SQLAlchemy>=1.2.5 # MIT
stevedore>=1.20.0 # Apache-2.0
WSME>=0.8.0 # MIT
yaql>=1.1.3 # Apache 2.0 License
tooz>=1.58.0 # Apache-2.0

=== debian/changelog ===
mistral (18.0.1-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 05 Apr 2024 15:42:09 +0000

mistral (18.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:40:15 +0100

mistral (18.0.0~rc1-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release candidate for OpenStack Caracal.
  * d/p/randint.patch: Ensure parameters to randint as of type int.
  * d/p/py312-compat.patch: Misc fixes for Python >= 3.12.
  * d/p/*: Refresh, add headers.
  * d/rules,exclude-list.txt: Skip single failing test.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2024 09:19:38 +0000

=== debian/control ===
Source: mistral
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-aodhclient (>= 3.2.0-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cachetools (>= 2.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-croniter (>= 0.3.4),
 python3-designateclient (>= 2.7.0),
 python3-doc8,
 python3-docutils,
 python3-dogpile.cache (>= 0.6.2),
 python3-eventlet (>= 0.26.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-glareclient (>= 0.3.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking,
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.7.0),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.5),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-kombu (>= 4.6.1),
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.23.0),
 python3-mistral-lib (>= 2.3.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-muranoclient (>= 0.8.2),
 python3-networkx (>= 2.3),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose (>= 1.3.7),
 python3-novaclient (>= 2:9.1.0),
 python3-oauthlib (>= 0.6.2),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization (>= 2.21.1),
 python3-oslo.service (>= 2.1.0),
 python3-oslo.utils (>= 4.0.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.4.1),
 python3-pecan (>= 1.2.1),
 python3-pep8,
 python3-pygments (>= 2.2.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.2.0),
 python3-senlinclient (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tackerclient (>= 0.8.0),
 python3-tempest (>= 1:21.0.0),
 python3-tenacity (>= 5.0.1),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-unittest2 (>= 1.1.0),
 python3-vitrageclient (>= 2.0.0),
 python3-webtest (>=  3.0.0),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zake (>= 0.1.6),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 3.4.0),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/mistral
Homepage: https://opendev.org/openstack/mistral
Testsuite: autopkgtest-pkg-python

Package: mistral-api
Architecture: all
Depends:
 adduser,
 debconf,
 mistral-common (= ${source:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - API
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the API server.

Package: mistral-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-mistral (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-event-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Event Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Event Engine.

Package: mistral-executor
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: python3-mistral
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-aodhclient (>= 3.2.0-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cachetools (>= 2.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-designateclient (>= 2.7.0),
 python3-dogpile.cache (>= 0.6.2),
 python3-eventlet (>= 0.26.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-glareclient (>= 0.3.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.7.0),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.5),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-kombu (>= 4.6.1),
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.23.0),
 python3-mistral-lib (>= 2.3.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-muranoclient (>= 0.8.2),
 python3-networkx (>= 2.3),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization (>= 2.21.1),
 python3-oslo.service (>= 2.1.0),
 python3-oslo.utils (>= 4.0.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.4.1),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.2.1),
 python3-pymysql,
 python3-requests (>= 2.18.0),
 python3-senlinclient (>= 1.1.0),
 python3-setuptools,
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tackerclient (>= 0.8.0),
 python3-tenacity (>= 5.0.1),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-vitrageclient (>= 2.0.0),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zake (>= 0.1.6),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 3.4.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow Service - Python 3 libraries
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Python 3 libraries.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/mistral/ mistral-(\d.*)\.tar\.gz

## mistral 18.1.0

=== debian/changelog ===
mistral (18.1.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:54:02 +0000

mistral (18.0.1-2) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:41:32 +0200

mistral (18.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 12:05:11 +0200

mistral (18.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased py3.12-assertDictContainsSubset-is-removed.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Mar 2024 08:29:04 +0100

mistral (17.0.0-3) unstable; urgency=medium

  * Add more to blacklist (failing on buildd, not my laptop):
    - EventEngineTest.test_process_event_queue
    - EventEngineTest.test_event_engine_public_trigger
    - ActionHeartbeatCheckerTest.test_fail_action_with_missing_heartbeats

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jan 2024 09:15:13 +0100

mistral (17.0.0-2) unstable; urgency=medium

  * Add Python 3.12 patches (Closes: #1058182):
    - py3.12-assertDictContainsSubset-is-removed.patch
    - py3.12-cast-random-delay-as-int.patch
  * Blacklist DefaultSchedulerTest.* until resolved upstream.
    See https://bugs.launchpad.net/mistral/+bug/2051112.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Dec 2023 09:13:50 +0100

mistral (17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:09:02 +0200

mistral (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Sep 2023 17:25:47 +0200

mistral (16.0.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1048256).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 17:56:57 +0200

mistral (16.0.0-3) unstable; urgency=medium

  * Removed python3-nose from build-depends (Closes: #1018409).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 14:45:04 +0200

mistral (16.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 17:59:28 +0200

mistral (16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 14:01:32 +0100

mistral (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.
  * Fixed (build-)depends for this release.
  * Removed depends on lsb-base.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Mar 2023 17:04:17 +0100

=== debian/control ===
Source: mistral
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-cachetools,
 python3-croniter,
 python3-coverage,
 python3-docutils,
 python3-dogpile.cache,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-jinja2,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu,
 python3-mistral-lib,
 python3-networkx,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-paramiko,
 python3-pecan,
 python3-pep8,
 python3-pygments,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tempest,
 python3-tenacity,
 python3-testtools,
 python3-tooz,
 python3-webtest,
 python3-wsme,
 python3-yaml,
 python3-yaql,
 python3-zake,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/mistral
Vcs-Git: https://salsa.debian.org/openstack-team/services/mistral.git
Homepage: https://github.com/openstack/mistral

Package: mistral-api
Architecture: all
Depends:
 adduser,
 debconf,
 mistral-common (= ${source:Version}),
 python3-keystoneclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow service - API
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the API server.

Package: mistral-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-mistral (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-event-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow service - Event Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Event Engine.

Package: mistral-executor
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: python3-mistral
Section: python
Architecture: all
Depends:
 alembic,
 python3-cachetools,
 python3-croniter,
 python3-dogpile.cache,
 python3-eventlet,
 python3-jinja2,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu,
 python3-mistral-lib,
 python3-networkx,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-osprofiler,
 python3-paramiko,
 python3-pbr,
 python3-pecan,
 python3-pymysql,
 python3-requests,
 python3-setuptools,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 python3-wsme,
 python3-yaml,
 python3-yaql,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-mistral,
Description: OpenStack Workflow Service - Python libraries
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Python libraries.

## mistral 19.0.0

=== debian/changelog ===
mistral (19.0.0-2) unstable; urgency=medium

  * Removed python3-pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Jan 2025 15:57:27 +0100

mistral (19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 17:03:09 +0200

mistral (19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:35:20 +0200

mistral (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed patch applied upstream:
    - py3.12-cast-random-delay-as-int.patch
    - py3.12-assertDictContainsSubset-is-removed.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 09:38:41 +0200

## mistral 19.1.0

=== debian/changelog ===
mistral (19.1.0-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add patches:
    - Load_defaults_from_oslo.concurrency.patch
    - SSHAction-Add-return_result_on_error.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Wed, 15 Oct 2025 20:39:39 +0000

mistral (19.1.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Refreshed repoducible-build.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2025 12:51:17 +0200

mistral (19.0.0-3) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:41:15 +0200

## mistral 19.1.1

=== debian/changelog ===
mistral (19.1.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 27 Jan 2026 18:20:31 +0000

mistral (19.1.0-2) UNRELEASED; urgency=medium

  * Add patches:
    - Load_defaults_from_oslo.concurrency.patch
    - SSHAction-Add-return_result_on_error.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Oct 2025 22:38:06 +0200

=== debian/control ===
--- 
+++ 
@@ -49,7 +49,6 @@
  python3-osprofiler,
  python3-paramiko,
  python3-pecan,
- python3-pep8,
  python3-pygments,
  python3-requests,
  python3-requests-mock,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/*.init debian/*.service debian/*.upstart debian/mistral-common.postinst debian/mistral-common.config
	rm -rf debian/mistral-common.postrm debian/*.templates debian/po debian/mistral-api.config debian/mistral-api.postinst
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm mistral-common.postrm
	pkgos-merge-templates mistral-api mistral endpoint
	pkgos-merge-templates mistral-common mistral db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'mistral\.tests\.(?!(.*unit\.actions\.openstack\.test_generator\.GeneratorTest\.test_generator.*|.*api\.v2\.test_action_executions\.TestActionExecutionsController\.test_get_all_with_and_without_output.*|.*unit\.actions\.test_std_mistral_http_action\.MistralHTTPActionTest\.test_http_action.*|.*unit\.actions\.test_std_http_action\.HTTPActionTest\.test_http_action.*|.*engine\.test_action_heartbeat_checker\.ActionHeartbeatCheckerTest\.test_fail_action_with_missing_heartbeats_wf_spec_not_cached.*|.*unit\.engine\.test_dataflow\.DataFlowTest\.test_context_view_eval_keys.*|.*unit\.engine\.test_action_heartbeat_sender\.ActionHeartbeatSenderRemoteExecutorTest\.test_long_action_failure_with_disabled_sender.*|.*unit\.engine\.test_action_heartbeat_sender\.ActionHeartbeatSenderLocalExecutorTest\.test_long_action_failure_with_disabled_sender|.*unit\.scheduler\.test_default_scheduler\.DefaultSchedulerTest.*|.*unit\.services\.test_event_engine\.EventEngineTest\.test_process_event_queue.*|.*unit\.services\.test_event_engine\.EventEngineTest\.test_event_engine_public_trigger.*|.*unit\.engine\.test_action_heartbeat_checker\.ActionHeartbeatCheckerTest\.test_fail_action_with_missing_heartbeats.*))'

endif


	# Copy the configuration files
	set -e ; for i in logging.conf wf_trace_logging.conf ; do \
		install -D -m 0664 etc/$$i.sample $(CURDIR)/debian/mistral-common/usr/share/mistral-common/$$i ; \
	done
	install -D -m 0664 etc/policy.json $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json ; \
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace mistral.config \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.service.sslutils \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken mistral

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json \
		--format json \
		--namespace mistral

	pkgos-fix-config-default $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken auth_protocol http

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## mistral 20.0.0~rc1

=== debian/changelog ===
mistral (20.0.0~rc1-1~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Thu, 20 Mar 2025 21:13:15 +0000

mistral (20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop repoducible-build.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 21:59:54 +0100

## mistral 20.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,8 +1,12 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 alembic>=0.9.6 # MIT
 croniter>=0.3.4 # MIT License
 cachetools>=2.0.0 # MIT License
 dogpile.cache>=0.6.2 # BSD
-eventlet>=0.26.0 # MIT
+eventlet>=0.27.0 # MIT
 Jinja2>=2.10 # BSD License (3 clause)
 jsonschema>=3.2.0 # MIT
 keystonemiddleware>=4.18.0 # Apache-2.0
@@ -16,8 +20,8 @@
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.messaging>=14.1.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
-oslo.policy>=3.6.0 # Apache-2.0
-oslo.utils>=4.0.0 # Apache-2.0
+oslo.policy>=4.5.0 # Apache-2.0
+oslo.utils>=7.0.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization>=2.21.1 # Apache-2.0
 oslo.service>=2.1.0 # Apache-2.0

=== debian/changelog ===
mistral (20.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 21:59:13 +0200

mistral (19.0.0+git2025030311.2e3d2d7e-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 05 Mar 2025 09:58:18 +0000

mistral (19.0.0+git2025011509.a332dd35-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Guillaume Boutry ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Remove unnecessary dependencies.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 21 Jan 2025 17:07:28 +0000

mistral (19.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:28:37 +0100

mistral (19.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2024 10:57:18 +0100

mistral (18.0.1+git2024080716.0e03f2db-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian:
    - d/p/randint.patch: remove patch as it is no longer needed.
    - d/p/py312-compat.patch: remove patch as it is no longer needed.

 -- Jadon Naas <jadon.naas@canonical.com>  Wed, 14 Aug 2024 09:34:45 +0100

=== debian/control ===
Source: mistral
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-aodhclient (>= 3.2.0-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cachetools (>= 2.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-designateclient (>= 2.7.0),
 python3-docutils,
 python3-dogpile.cache (>= 0.6.2),
 python3-eventlet (>= 0.27.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-glareclient (>= 0.3.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking,
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.7.0),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.5),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-kombu (>= 4.6.1),
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.23.0),
 python3-mistral-lib (>= 2.3.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-muranoclient (>= 0.8.2),
 python3-networkx (>= 2.3),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose (>= 1.3.7),
 python3-novaclient (>= 2:9.1.0),
 python3-oauthlib (>= 0.6.2),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization (>= 2.21.1),
 python3-oslo.service (>= 2.1.0),
 python3-oslo.utils (>= 7.0.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.4.1),
 python3-pecan (>= 1.2.1),
 python3-pep8,
 python3-pygments (>= 2.2.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.2.0),
 python3-senlinclient (>= 1.1.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tackerclient (>= 0.8.0),
 python3-tempest (>= 1:21.0.0),
 python3-tenacity (>= 5.0.1),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-unittest2 (>= 1.1.0),
 python3-vitrageclient (>= 2.0.0),
 python3-webtest (>=  3.0.0),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zake (>= 0.1.6),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 3.4.0),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/mistral
Homepage: https://opendev.org/openstack/mistral
Testsuite: autopkgtest-pkg-python

Package: mistral-api
Architecture: all
Depends:
 adduser,
 debconf,
 mistral-common (= ${source:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - API
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the API server.

Package: mistral-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-mistral (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-event-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Event Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Event Engine.

Package: mistral-executor
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: python3-mistral
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-aodhclient (>= 3.2.0-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cachetools (>= 2.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-designateclient (>= 2.7.0),
 python3-dogpile.cache (>= 0.6.2),
 python3-eventlet (>= 0.27.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-glareclient (>= 0.3.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.7.0),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.5),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-kombu (>= 4.6.1),
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.23.0),
 python3-mistral-lib (>= 2.3.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-muranoclient (>= 0.8.2),
 python3-networkx (>= 2.3),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization (>= 2.21.1),
 python3-oslo.service (>= 2.1.0),
 python3-oslo.utils (>= 7.0.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.4.1),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.2.1),
 python3-pymysql,
 python3-requests (>= 2.18.0),
 python3-senlinclient (>= 1.1.0),
 python3-setuptools,
 python3-sqlalchemy (>= 1.2.5),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tackerclient (>= 0.8.0),
 python3-tenacity (>= 5.0.1),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-vitrageclient (>= 2.0.0),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zake (>= 0.1.6),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 3.4.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow Service - Python 3 libraries
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Python 3 libraries.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mistral

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/+git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -f debian/*.init debian/*.service debian/*.upstart debian/mistral-common.postinst debian/mistral-common.config
	rm -rf debian/mistral-common.postrm debian/*.templates debian/po

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm mistral-common.postrm
	pkgos-merge-templates mistral-api mistral endpoint
	pkgos-merge-templates mistral-common mistral db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --exclude-list $(CURDIR)/debian/exclude-list.txt
endif


	# Copy the configuration files
	set -e ; for i in logging.conf wf_trace_logging.conf ; do \
		install -D -m 0664 etc/$$i.sample $(CURDIR)/debian/mistral-common/usr/share/mistral-common/$$i ; \
	done
	install -D -m 0664 etc/policy.json $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json ; \
	PYTHONPATH=$(CURDIR)/debian/python3-mistral/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace mistral.config \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace keystonemiddleware.auth_token \
		--namespace periodic.config \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.service.sslutils \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken mistral

	PYTHONPATH=$(CURDIR)/debian/python3-mistral/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json \
		--format json \
		--namespace mistral

	pkgos-fix-config-default $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken auth_protocol http

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/mistral/ mistral-(20\.\d.*)\.tar\.gz
